# Interface ITypeInfoFilterExtension

public interface ITypeInfoFilterExtension
A filter to select `ITypeInfoRequestor` objects.

The interface should be implemented by clients wishing to provide special filtering to the type selection dialog.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`boolean`
`select(ITypeInfoRequestor typeInfoRequestor)`
Returns whether the given type makes it into the list or not.

## Method Details

### select

boolean select(ITypeInfoRequestor typeInfoRequestor)
Returns whether the given type makes it into the list or not.

Parameters:
  `typeInfoRequestor` - the `ITypeInfoRequestor` to used to access data for the type under inspection
Returns:
  whether the type is selected or not